cdac.medinfo.ccd.narrativeblock

## Class StrucDocTable

- java.lang.Object
- - cdac.medinfo.ccd.narrativeblock.StrucDocTable

- All Implemented Interfaces:
    java.io.Serializable

      public class StrucDocTable
      extends java.lang.Object
      implements java.io.Serializable

  Java class for StrucDoc.Table complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrucDoc.Table">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="caption" type="{urn:hl7-org:v3}StrucDoc.Caption" minOccurs="0"/>
               <choice>
                 <element name="col" type="{urn:hl7-org:v3}StrucDoc.Col" maxOccurs="unbounded" minOccurs="0"/>
                 <element name="colgroup" type="{urn:hl7-org:v3}StrucDoc.Colgroup" maxOccurs="unbounded" minOccurs="0"/>
               </choice>
               <element name="thead" type="{urn:hl7-org:v3}StrucDoc.Thead" minOccurs="0"/>
               <element name="tfoot" type="{urn:hl7-org:v3}StrucDoc.Tfoot" minOccurs="0"/>
               <element name="tbody" type="{urn:hl7-org:v3}StrucDoc.Tbody" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="language" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
             <attribute name="styleCode" type="{http://www.w3.org/2001/XMLSchema}NMTOKENS" />
             <attribute name="summary" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="width" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="border" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="frame">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="void"/>
                   <enumeration value="above"/>
                   <enumeration value="below"/>
                   <enumeration value="hsides"/>
                   <enumeration value="lhs"/>
                   <enumeration value="rhs"/>
                   <enumeration value="vsides"/>
                   <enumeration value="box"/>
                   <enumeration value="border"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="rules">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="none"/>
                   <enumeration value="groups"/>
                   <enumeration value="rows"/>
                   <enumeration value="cols"/>
                   <enumeration value="all"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="cellspacing" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="cellpadding" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrucDocTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBorder()` Gets the value of the border property.
    `StrucDocCaption` | `getCaption()` Gets the value of the caption property.
    `java.lang.String` | `getCellpadding()` Gets the value of the cellpadding property.
    `java.lang.String` | `getCellspacing()` Gets the value of the cellspacing property.
    `java.util.List<StrucDocCol>` | `getCol()` Gets the value of the col property.
    `java.util.List<StrucDocColgroup>` | `getColgroup()` Gets the value of the colgroup property.
    `java.lang.String` | `getFrame()` Gets the value of the frame property.
    `java.lang.String` | `getID()` Gets the value of the id property.
    `java.lang.String` | `getLanguage()` Gets the value of the language property.
    `java.lang.String` | `getRules()` Gets the value of the rules property.
    `java.util.List<java.lang.String>` | `getStyleCode()` Gets the value of the styleCode property.
    `java.lang.String` | `getSummary()` Gets the value of the summary property.
    `java.util.List<StrucDocTbody>` | `getTbody()` Gets the value of the tbody property.
    `StrucDocTfoot` | `getTfoot()` Gets the value of the tfoot property.
    `StrucDocThead` | `getThead()` Gets the value of the thead property.
    `java.lang.String` | `getWidth()` Gets the value of the width property.
    `void` | `setBorder(java.lang.String value)` Sets the value of the border property.
    `void` | `setCaption(StrucDocCaption value)` Sets the value of the caption property.
    `void` | `setCellpadding(java.lang.String value)` Sets the value of the cellpadding property.
    `void` | `setCellspacing(java.lang.String value)` Sets the value of the cellspacing property.
    `void` | `setFrame(java.lang.String value)` Sets the value of the frame property.
    `void` | `setID(java.lang.String value)` Sets the value of the id property.
    `void` | `setLanguage(java.lang.String value)` Sets the value of the language property.
    `void` | `setRules(java.lang.String value)` Sets the value of the rules property.
    `void` | `setSummary(java.lang.String value)` Sets the value of the summary property.
    `void` | `setTfoot(StrucDocTfoot value)` Sets the value of the tfoot property.
    `void` | `setThead(StrucDocThead value)` Sets the value of the thead property.
    `void` | `setWidth(java.lang.String value)` Sets the value of the width property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrucDocTable

          public StrucDocTable()

  - ### Method Detail

    - #### getCaption

          public StrucDocCaption getCaption()

      Gets the value of the caption property.
      Returns:
        possible object is `StrucDocCaption`

    - #### setCaption

          public void setCaption(StrucDocCaption value)

      Sets the value of the caption property.
      Parameters:
        `value` - allowed object is `StrucDocCaption`

    - #### getCol

          public java.util.List<StrucDocCol> getCol()

      Gets the value of the col property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the col property.

      For example, to add a new item, do as follows:

              getCol().add(newItem);

      Objects of the following type(s) are allowed in the list `StrucDocCol`

    - #### getColgroup

          public java.util.List<StrucDocColgroup> getColgroup()

      Gets the value of the colgroup property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the colgroup property.

      For example, to add a new item, do as follows:

              getColgroup().add(newItem);

      Objects of the following type(s) are allowed in the list `StrucDocColgroup`

    - #### getThead

          public StrucDocThead getThead()

      Gets the value of the thead property.
      Returns:
        possible object is `StrucDocThead`

    - #### setThead

          public void setThead(StrucDocThead value)

      Sets the value of the thead property.
      Parameters:
        `value` - allowed object is `StrucDocThead`

    - #### getTfoot

          public StrucDocTfoot getTfoot()

      Gets the value of the tfoot property.
      Returns:
        possible object is `StrucDocTfoot`

    - #### setTfoot

          public void setTfoot(StrucDocTfoot value)

      Sets the value of the tfoot property.
      Parameters:
        `value` - allowed object is `StrucDocTfoot`

    - #### getTbody

          public java.util.List<StrucDocTbody> getTbody()

      Gets the value of the tbody property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tbody property.

      For example, to add a new item, do as follows:

              getTbody().add(newItem);

      Objects of the following type(s) are allowed in the list `StrucDocTbody`

    - #### getID

          public java.lang.String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(java.lang.String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStyleCode

          public java.util.List<java.lang.String> getStyleCode()

      Gets the value of the styleCode property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the styleCode property.

      For example, to add a new item, do as follows:

              getStyleCode().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getSummary

          public java.lang.String getSummary()

      Gets the value of the summary property.
      Returns:
        possible object is `String`

    - #### setSummary

          public void setSummary(java.lang.String value)

      Sets the value of the summary property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWidth

          public java.lang.String getWidth()

      Gets the value of the width property.
      Returns:
        possible object is `String`

    - #### setWidth

          public void setWidth(java.lang.String value)

      Sets the value of the width property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBorder

          public java.lang.String getBorder()

      Gets the value of the border property.
      Returns:
        possible object is `String`

    - #### setBorder

          public void setBorder(java.lang.String value)

      Sets the value of the border property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFrame

          public java.lang.String getFrame()

      Gets the value of the frame property.
      Returns:
        possible object is `String`

    - #### setFrame

          public void setFrame(java.lang.String value)

      Sets the value of the frame property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRules

          public java.lang.String getRules()

      Gets the value of the rules property.
      Returns:
        possible object is `String`

    - #### setRules

          public void setRules(java.lang.String value)

      Sets the value of the rules property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCellspacing

          public java.lang.String getCellspacing()

      Gets the value of the cellspacing property.
      Returns:
        possible object is `String`

    - #### setCellspacing

          public void setCellspacing(java.lang.String value)

      Sets the value of the cellspacing property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCellpadding

          public java.lang.String getCellpadding()

      Gets the value of the cellpadding property.
      Returns:
        possible object is `String`

    - #### setCellpadding

          public void setCellpadding(java.lang.String value)

      Sets the value of the cellpadding property.
      Parameters:
        `value` - allowed object is `String`